Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

89 lines (75 sloc) 2.879 kb
#! /bin/sh
# __BEGIN_LICENSE__
#
# Copyright (C) 2006 United States Government as represented by the
# Administrator of the National Aeronautics and Space Administration
# (NASA). All Rights Reserved.
#
# Copyright 2006 Carnegie Mellon University. All rights reserved.
#
# This software is distributed under the NASA Open Source Agreement
# (NOSA), version 1.3. The NOSA has been approved by the Open Source
# Initiative. See the file COPYING at the top of the distribution
# directory tree for the complete NOSA document.
#
# THE SUBJECT SOFTWARE IS PROVIDED "AS IS" WITHOUT ANY WARRANTY OF ANY
# KIND, EITHER EXPRESSED, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT
# LIMITED TO, ANY WARRANTY THAT THE SUBJECT SOFTWARE WILL CONFORM TO
# SPECIFICATIONS, ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
# A PARTICULAR PURPOSE, OR FREEDOM FROM INFRINGEMENT, ANY WARRANTY THAT
# THE SUBJECT SOFTWARE WILL BE ERROR FREE, OR ANY WARRANTY THAT
# DOCUMENTATION, IF PROVIDED, WILL CONFORM TO THE SUBJECT SOFTWARE.
#
# __END_LICENSE__
### config.options.example
#
# This file demonstrates how to configure the NASA Vision Workbench
# in various ways. To use it, rename or copy it to "config.options"
# and uncomment or modify the appropriate lines below.
### Configure Options
#
# Alternative command-line syntax: --enable-foo[=val]
#
# These options allow you modify the basic behavior of the build
# environment.
# ENABLE_DEBUG=no
# ENABLE_OPTIMIZE=yes
# PREFIX=/foo/bar
### Module Configuration
#
# Alternative command-line syntax: --enable-module-foo[=val]
#
# Uncomment the following lines to explicitly enable or disable
# certain modules. These options override the default behavior, which
# is to build all modules that can be built with the libraries that
# you have installed on your system. Note that no module will be
# built if its required software dependencies cannot be found. Look
# at the output from ./configure to see what modules will ultimately
# be built.
# ENABLE_MODULE_MOSAIC=yes
# ENABLE_MODULE_CAMERA=yes
# ENABLE_MODULE_CARTOGRAPHY=yes
# ENABLE_MODULE_HDR=yes
### Package Base Paths
#
# Alternative command-line syntax: --with-paths=val
#
# Set these to the directories that contain lib/include directories
# for packages in non-standard locations. List multiple search
# directories by seperating them with whitespace.
# PKG_PATHS="/foo/bar"
### Using pkg-config or *-config
#
# The only upstream-supported method of detecting some libraries is through the
# (new-style) pkg-config or (old-style) *-config (ex: gdal-config) scripts.
#
# Our build system doesn't support this directly yet, but this is the way we
# support using them:
#
# PKG_GDAL_CPPFLAGS=$(gdal-config --cflags)
# PKG_GDAL_LIBS=$(gdal-config --libs)
#
# or
#
# PKG_PNG_CPPFLAGS=$(pkg-config --cflags libpng)
# PKG_PNG_LIBS=$(pkg-config --libs libpng)
Jump to Line
Something went wrong with that request. Please try again.